function [img1, img2] = query(img)
im1 = imread('C:\Matlab7\final\1a.jpg');
im2 = imread('C:\Matlab7\final\1b.jpg');
im3 = imread('C:\Matlab7\final\2a.jpg');
im4 = imread('C:\Matlab7\final\2b.jpg');
im5 = imread('C:\Matlab7\final\3a.jpg');
im6 = imread('C:\Matlab7\final\3b.jpg');
% Read all the images and assign them to matrices
img = im1;
% Choose image to compare
sim1 = histogramSimilarity(img, im1);
sim2 = histogramSimilarity(img, im2); 
sim3 = histogramSimilarity(img, im3); 
sim4 = histogramSimilarity(img, im4); 
sim5 = histogramSimilarity(img, im5); 
sim6 = histogramSimilarity(img, im6);
% Compare the images and assign the scalars to the variables
sim = [sim1, sim2, sim3, sim4, sim5, sim6];
% Compile the scalars as a vector
sim
% Output the vector
sortedsim = sort(sim)
% Sort the vector
sortedsim(1), sortedsim(2)
% The first two items of sortedsim will give the images which r most
% similar to the image being compared.
% In the examples that I ran the first value was zero as long as I was
% comparing with a image from the database. And the second most similar
% image was the image from the same class. The problem is I have not been
% able to put that in a proper M file format as yet!